package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.ImageFactory;
import com.vendor.loader.struct.FileSystem;
import com.vendor.loader.struct.UpgradeFileInfo;
import com.vendor.loader.ui.AbstractComposite;
import org.eclipse.jface.viewers.ISelectionChangedListener;
import org.eclipse.jface.viewers.SelectionChangedEvent;
import org.eclipse.swt.custom.TableEditor;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableItem;

class null implements ISelectionChangedListener {
  public void selectionChanged(SelectionChangedEvent event) {
    Control oldEditor = dataEditor.getEditor();
    if (oldEditor != null)
      oldEditor.dispose(); 
    TableItem[] selection = AbstractComposite.this.viewer.getTable().getSelection();
    if (selection.length == 0)
      return; 
    TableItem item = selection[0];
    if (item == null)
      return; 
    Button newEditor = new Button((Composite)table, 0);
    newEditor.setImage(
        ImageFactory.getImage("/icons/delrow.ico"));
    newEditor.addSelectionListener((SelectionListener)new Object(this));
    dataEditor.setEditor((Control)newEditor, item, AbstractComposite.COL_ADD);
    UpgradeFileInfo info = (UpgradeFileInfo)item.getData();
    if (info == null)
      return; 
    AbstractComposite.this.fileSystemEditor.setItems(FileSystem.getItems(info
          .getFlashType()));
    String[] items = AbstractComposite.this.fileSystemEditor.getItems();
    FileSystem fileSystem = info.getFileSystem();
    if (fileSystem == null)
      return; 
    int index = 0;
    for (int i = 0; i < items.length; i++) {
      if (items[i].equals(fileSystem.name())) {
        index = i;
        break;
      } 
    } 
    AbstractComposite.this.fileSystemEditor.setValue(Integer.valueOf(index));
  }
}
